KD SOAP API Documentation: KDSoapMessageReader.cpp File Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Functions
KDSoapMessageReader.cpp File Reference
`#include "KDDateTime.h"`
`#include "KDSoapMessageReader_p.h"`
`#include "KDSoapNamespaceManager.h"`
`#include "KDSoapNamespacePrefixes_p.h"`
`#include <QDebug>`
`#include <QXmlStreamReader>`
Include dependency graph for KDSoapMessageReader.cpp:

Go to the source code of this file.

## Functions
static QByteArray | handleNotWellFormedError (const QByteArray &data, qint64 offset)
static bool | isInvalidCharRef (const QByteArray &charRef)
static QStringView | namespaceForPrefix (const QXmlStreamNamespaceDeclarations &decls, const QString &prefix)
static KDSoapValue | parseElement (QXmlStreamReader &reader, const QXmlStreamNamespaceDeclarations &envNsDecls)
static int | xmlTypeToMetaType (const QString &xmlType)

## Function Documentation

## ◆ handleNotWellFormedError()

static QByteArray handleNotWellFormedError | ( | const QByteArray & | data,
|  | qint64 | offset
| ) |  |
| static

Definition at line 165 of file KDSoapMessageReader.cpp.

References QByteArray::at(), QByteArray::constData(), isInvalidCharRef(), QByteArray::prepend(), and QByteArray::replace().

Referenced by KDSoapMessageReader::xmlToMessage().

## ◆ isInvalidCharRef()

static bool isInvalidCharRef | ( | const QByteArray & | charRef | ) |
| static

Definition at line 142 of file KDSoapMessageReader.cpp.

References QByteArray::indexOf(), QByteArray::mid(), and QByteArray::toInt().

Referenced by handleNotWellFormedError().

## ◆ namespaceForPrefix()

static QStringView namespaceForPrefix | ( | const QXmlStreamNamespaceDeclarations & | decls,
|  | const QString & | prefix
| ) |  |
| static

Definition at line 23 of file KDSoapMessageReader.cpp.

Referenced by parseElement().

## ◆ parseElement()

static KDSoapValue parseElement | ( | QXmlStreamReader & | reader,
|  | const QXmlStreamNamespaceDeclarations & | envNsDecls
| ) |  |
| static

Definition at line 64 of file KDSoapMessageReader.cpp.

References QList::append(), KDSoapValueList::attributes(), QXmlStreamReader::attributes(), KDSoapValue::childValues(), QVariant::convert(), QString::indexOf(), QVariant::Invalid, QXmlStreamReader::Invalid, QXmlStreamReader::isCharacters(), QString::isEmpty(), QXmlStreamReader::isEndElement(), QXmlStreamReader::isStartElement(), QString::left(), QString::mid(), QXmlStreamReader::name(), QXmlStreamReader::namespaceDeclarations(), namespaceForPrefix(), QXmlStreamReader::namespaceUri(), parseElement(), QXmlStreamReader::readNext(), KDSoapValue::setEnvironmentNamespaceDeclarations(), KDSoapValue::setNamespaceDeclarations(), KDSoapValue::setNamespaceUri(), KDSoapValue::setType(), KDSoapValue::setValue(), KDSoapNamespaceManager::soapEncoding(), KDSoapNamespaceManager::soapEncoding200305(), KDSoapNamespaceManager::soapEnvelope(), KDSoapNamespaceManager::soapEnvelope200305(), QXmlStreamReader::text(), QStringRef::toString(), QStringView::toString(), QMetaType::UnknownType, KDSoapNamespaceManager::xmlSchemaInstance1999(), KDSoapNamespaceManager::xmlSchemaInstance2001(), and xmlTypeToMetaType().

Referenced by parseElement(), and KDSoapMessageReader::xmlToMessage().

## ◆ xmlTypeToMetaType()

static int xmlTypeToMetaType | ( | const QString & | xmlType | ) |
| static

Definition at line 33 of file KDSoapMessageReader.cpp.

References QVariant::Bool, QVariant::ByteArray, QVariant::Date, QVariant::Double, QMetaType::Float, QVariant::Int, QVariant::String, QVariant::Time, and QVariant::ULongLong.

Referenced by parseElement().

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8